Subject: Re: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 19 Jan 2015 14:30:24 +1100

Hi Marcel,

On Sun, 18 Jan 2015 19:13:17 -0800 Marcel Holtmann <[email-masked]> wrote:
>
> > After merging the net-next tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> > 
> > In file included from net/bridge/br.c:22:0:
> > include/net/switchdev.h:73:1: error: expected identifier or '(' before '{' token
> > {
> > ^
> > include/net/switchdev.h:71:19: warning: 'call_netdev_switch_notifiers' declared 'static' but never defined [-Wunused-function]
> > static inline int call_netdev_switch_notifiers(unsigned long val, struct net_device *dev,
> >                   ^
> > 
> > Caused by commit 03bf0c281234 ("switchdev: introduce switchdev notifier").
> > 
> > I have used the net-next tree from next-20150116 for today.  I also had
> > to use the bluetooth tree from next-20150116 as it was fast forwarded
> > to be the same as the net-next tree today.
> 
> it seems Dave forgot to push out his net-next tree, but in theory it should contain a fix for it.

Or he did so after I fetched his tree this morning.  Either way, I
assume it will be fixed tomorrow.

-- 
Cheers,
Stephen Rothwell                    [email-masked]